Retrieving the list of available tariffs
Last updated: 23 October 2026
Use the /api/v1/tariffs method to retrieve a list of available tariffs.
The method allows you to:
- retrieve current tariffs without going to the edna Pulse account;
- retrieve tariff identifiers to use with other API methods;
- identify the tariff set as default for a specific channel type.
- Tariff list for all channel types
- Tariff list for a specific channel type
To retrieve a list of all available tariffs, send a GET request to https://app.edna.io/api/v1/tariffs.
To retrieve a list of tariffs available for a specific channel type, send a GET request to https://app.edna.io/api/v1/tariffs?channelType={TYPE} and specify channelType (channel type) as a query parameter.
For example:
https://app.edna.io/api/v1/tariffs?channelType=WHATSAPP
info
Channel types for which you can request tariffs correspond to the channelType parameter value in the response.
Request format
The request body contains empty JSON.
Response format
[
{
"id": number,
"name": "string",
"channelType": "string",
"licencePrice": number,
"connectionFee": number,
"mau": number,
"amau": number,
"currency": "string",
"isDefault": boolean
}
]
Response examples
Response to a request without a query parameter
[
{
"id": 1,
"name": "WhatsApp 3 000 MAU",
"channelType": "WHATSAPP",
"licencePrice": 220,
"connectionFee": 170,
"mau": 3000,
"amau": 10,
"currency": "EUR",
"isDefault": false
},
{
"id": 2,
"name": "Viber",
"channelType": "VIBER",
"licencePrice": 1,
"currency": "EUR",
"isDefault": false
}
]
Response to a request with a query parameter
[
{
"id": 1,
"name": "WhatsApp 3 000 MAU",
"channelType": "WHATSAPP",
"licencePrice": 220,
"connectionFee": 170,
"mau": 3000,
"amau": 10,
"currency": "EUR",
"isDefault": false
}
]
Response parameters
| Parameter | Data type | Requirement | Description |
|---|---|---|---|
id | number | Required | Tariff identifier. |
name | string | Required | Tariff name. |
channelType | string | Required | Channel type.
Possible values: - WHATSAPP;
- VIBER. |
licencePrice | number | Optional | License cost in the currency specified in currency. The API returns it if the tariff provides it. |
connectionFee | number | Optional | Connection cost in the currency specified in currency. The API returns it if the tariff provides it. |
mau | number | Optional | Number of monthly active users (MAU) included in the tariff. The API returns it if the tariff provides it. |
amau | number | Optional | Cost of an additional monthly active user (AMAU) beyond the included number of MAUs in the currency specified in currency. The API returns it if the tariff provides it. |
currency | string | Required | Tariff currency code.
Possible values: USD — United States Dollar; EUR — Euro. |
isDefault | boolean | Required | An indicator that shows whether this tariff is selected by default for the specified channel type.
Possible values: - true — the tariff is set as default;
- false — the tariff isn't set as default.
info For a channel type that has a default tariff, the API returns the tariff with isDefault = true and all other tariffs with isDefault = false. If no default tariff is set, the API returns isDefault = false for all tariffs of that channel type. |